def deco_debug(func):
    def wrap(*args, **kwargs):
        print(f'DEBUG: {func.__name__} started')
        ret = func(*args, **kwargs)
        print(f'DEBUG: {func.__name__} ended')
        return ret
    return wrap

def say_hello():
    print('Hello')
say_hello = deco_debug(say_hello)
say_hello()
