def tag(name):
    def deco(func):
        def wrap():
            return ('<{}>{}</{}>'
                    .format(name, func(), name))
        return wrap
    return deco

@tag('italic')
def get_hello():
    return 'Hello'
print(get_hello())  # <strong>Hello</strong>
