def gen_square(init):
    i = init
    try:
        while True:
            i = yield i ** 2
    except Exception as e:
        return f'Received "{str(e)}"'

g = gen_square(1)
print(next(g))
print(g.send(2))
g.throw(RuntimeError('Stop'))
