def upper(func):
    def wrap(*args, **kwargs):
        return func(*args, **kwargs).upper()
    return wrap

@upper
def get_hello():
    return 'Hello'

@upper
def get_something(something):
    return something

print(get_hello())
print(get_something('Good Evening'))
